MKVINFO(1)

NAME
mkvinfo - Skriv ut informasjon om elementer i Matroska filer

SAMMENDRAG

mkvinfo [alternativer] {kildefilnavn}

BESKRIVELSE

Dette programmet viser alle elementene i en Matroska. Utdataene kan begrenses til en liste over spor i filen, inkludert informasjon om kodekene som brukes.

-a, --all
    Som standard stopper mkvinfo(1) når den møter den første klyngen. I tillegg viser den ikke visse ofte forekommende elementer. Med dette alternativet vil mkvinfo(1) fortsette behandlingen uavhengig av detaljnivået og vise alle elementene.

-c, --checksums
    Beregner og viser Adler-32 sjekksummen for hver ramme. Nyttig bare for feilsøking.

-o, --continue
    Som standard stopper mkvinfo(1) når den møter den første klyngen. Med dette alternativet vil mkvinfo(1) fortsette behandlingen uavhengig av detaljnivået.

-p, --hex-positions
    Viser posisjonene til alle elementene i heksadesimal uavhengig av omfangsnivået.

-P, --positions
    Viser posisjonene til alle elementene i desimal uavhengig av omfangsnivået.

-s, --summary
    Vis bare en kortfattet oppsummering av hva mkvinfo(1) finner og ikke hvert element.

-t, --track-info
    Vis statistikk for hvert spor i detaljert modus. Setter også detaljrikdom til 1 hvis det var på nivå 0 før.

-x, --hexdump
    Vis de første 16 bytene av hver ramme som en hex-dump.

-X, --full-hexdump
    Vis alle byte i hver ramme som en hex-dump.

-z, --size
    Vis størrelsen på hvert element, inkludert datahodet.

--command-line-charset character-set
    Angir tegnsettet for å konvertere strenger fra gitt på kommandolinjen. Den er standard til tegnsettet gitt av systemets gjeldende lokalitet.

--output-charset character-set
    Angir tegnsettet som strenger konverteres til som skal sendes ut. Den er standard til tegnsettet gitt av systemets gjeldende lokalitet.

-r, --redirect-output filnavn
    Skriver alle meldinger til filen filnavn i stedet for til konsollen. Selv om dette kan gjøres enkelt med omdirigering av utdata, er det tilfeller der dette alternativet er nødvendig: når terminalen tolker utdataene på nytt før du skriver den til en fil. Tegnsettet angitt med --output-charset er hedret.

--no-bom
    Normally text files that are created & encoded in one of the UTF variants will start with a byte order marker (BOM). Using this option disables writing that byte order marker.

--ui-language kode
    Tvinger oversettelsene for språk- koden som skal brukes (eks. 'de_DE' for tyske oversettelser). Ved å skrive inn 'list' som koden vil føre til at programmet sender ut en liste over tilgjengelige oversettelser.

--abort-on-warnings
    Ber programmet om å avbryte etter at den første advarselen er sendt ut. Programmets avslutningskode vil være 1.

--debug emne
    Slå på feilsøking for en bestemt funksjon. Dette alternativet er bare nyttig for utviklere.

--engage funksjon
    Slå på eksperimentelle funksjoner. En liste over tilgjengelige funksjoner kan bes om med mkvinfo --engage list. Disse funksjonene er ikke ment å brukes i normale situasjoner.

--gui-mode
    Slår på det grafiske grensesnittet. I denne modusen kan spesialformaterte linjer være utdata som kan fortelle et kontrollerende grafisk grensesnitt hva som skjer. Disse meldingene følger formatet '#GUI#melding'. Meldingen kan etterfølges av nøkkel/verdipar som i '#GUI#melding#nøkkel1=verdi1#nøkkel2=verdi2...'. Verken meldingene eller nøklene blir noen gang oversatt og sendes alltid ut på engelsk.

-v, --verbose
    Vær mer omfangsrik. Se delen om detaljnivåer for en beskrivelse av hvilken informasjon som sendes ut på hvilket nivå.

-h, --help
    Vis bruksinformasjon og avslutt.

-V, --version
    Vis versjonsinformasjon og avslutt.

@alternativer-fil.json
    Leser flere kommandolinjeargumenter fra filen alternativer-fil. Hvis du vil ha en fullstendig forklaring på hvilke formater som støttes for slike filer, kan du se avsnittet "Alternativfiler" i mkvmerge(1) manualside.

DETALJNIVåER

-v alternativet kan brukes til å øke mkvinfo(1)s omfangsnivå og skrive ut mer informasjon om gjeldende fil.

På nivå 0 vil mkvinfo(1) bare skrive ut spordatahodene den finner og deres typer. mkvinfo(1) avsluttes så snart datahodene analyseres fullstendig (mer teknisk: så snart den første klyngen oppstår). På dette nivået vises ikke søkehodeoppføringene og signalene - selv om de er plassert foran sporinformasjonen.

På nivå 1 vil mkvinfo(1) også skrive ut alle Matroska elementer som oppstår for hele filen, men ikke søkehodeoppføringer og signaloppføringer. Hvis sammendragsmodus er aktivert, vil mkvinfo(1) også sende ut rammeposisjonen.

Den samme effekten kan oppnås med alternativet --continue.

På nivå 2 vil mkvinfo(1) også skrive ut søkehodeoppføringene, signaloppføringene og filposisjonen der hvert Matroska element kan bli funnet på.

Den samme effekten kan oppnås med alternativene --all --positions.

På nivå 3 og over vil mkvinfo(1) skrive ut noe informasjon som ikke er direkte koblet til et Matroska element. Alle andre elementer skriver bare ut ting om elementene som nettopp ble funnet. Nivå 3 legger til metainformasjon for å lette feilsøking (les: det er kun ment for utviklere). Alle linjer skrevet av nivå 3 er omsluttet av firkantede parenteser for å gjøre det enkelt å filtrere dem.

TEKSTFILER OG TEGNSETTKONVERTERINGER

For en grundig diskusjon om hvordan alle verktøyene i MKVToolNix-pakken håndterer tegnsettkonverteringer, inndata- / utdatakoding, kommandolinjekoding og konsollkoding, se delen med identisk navn i mkvmerge(1) manualsiden.

AVSLUTNINGSKODER

mkvinfo(1) avsluttes med en av tre avslutningskoder:

    • 0 -- Denne avslutningskoden betyr at kjøringen er fullført.

    • 1 -- I dette tilfellet har mkvinfo(1) sendt ut minst en advarsel, men kjøringen fortsatte. En advarsel er prefikset med teksten 'Advarsel:'.

    • 2 -- Denne avslutningskoden brukes etter at det oppstod en feil. mkvinfo(1) avbryter rett etter at feilmeldingen er sendt ut. Feilmeldinger varierer fra feil kommandolinjeargumenter over lese-/skrivefeil til ødelagte filer.

MILJøVARIABLER

mkvinfo(1) bruker standardvariablene som bestemmer systemets lokalitet (for eksempel LANG og LC_*-familien). Ytterligere variabler:

MKVINFO_DEBUG, MKVTOOLNIX_DEBUG og dens korte form MTX_DEBUG
    Innholdet behandles som om det hadde blitt sendt via --debug alternativet.

MKVINFO_ENGAGE, MKVTOOLNIX_ENGAGE og dens korte form MTX_ENGAGE
    Innholdet behandles som om det hadde blitt sendt via --engage alternativet.

SE OGSå

mkvmerge(1), mkvextract(1), mkvpropedit(1), mkvtoolnix-gui(1)

WWW

Den nyeste versjonen finner du alltid på MKVToolNixs hjemmeside[1].

AUTHOR

Moritz Bunkus <moritz@bunkus.org>
    Utvikler

NOTES

1.  MKVToolNixs hjemmeside
    https://mkvtoolnix.download/